### File

`packages/core/src/lib/services/log/log.service.ts`

### Description

Log service, responsible for getting or creating loggers. It itself acts as a base logger

### Extends

`Logger`

### Index

###### Methods

- getLogger

### Constructor

`constructor()`

### Methods

getLogger
`getLogger(loggerName: string, persist: unknown)`

Gets a logger by name. If the logger does not exist, it is created

Parameters :

Name | Type | Optional | Default value | Description
loggerName | `string` | No |  | logger name
persist | `unknown` | No | `false` | optional parameter. Set it to true if you want to reuse the logger. By default, it is set to false

Returns : `Logger`

the logger

# results matching ""

# No results matching ""